%define upstream_name    Benchmark-Perl-Formance
%define upstream_version 0.33

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Benchmark Suite for Perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Benchmark/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::DPath)
BuildRequires: perl(Data::Structure::Util)
BuildRequires: perl(Data::YAML::Reader)
BuildRequires: perl(Data::YAML::Writer)
BuildRequires: perl(Devel::Platform::Info)
BuildRequires: perl(List::Util)
BuildRequires: perl(Sys::Hostname)
BuildRequires: perl(Test::More)
BuildArch: noarch

%description
This benchmark suite tries to run some stressful programs and outputs values
that you can compare against other runs of this suite, e.g. with other versions
of Perl, modified compile parameter, or another set of dependent libraries.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc META.json META.yml LICENSE Changes README
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/benchmark-perlformance
/usr/share/man/man1/benchmark-perlformance.1.xz



%changelog
* Sun Oct 19 2014 umeabot <umeabot> 0.330.0-7.mga5
+ Revision: 788982
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.330.0-6.mga5
+ Revision: 739160
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.330.0-4.mga4
+ Revision: 509311
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.330.0-3.mga3
+ Revision: 363360
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 26 2012 shlomif <shlomif> 0.330.0-2.mga3
+ Revision: 310326
- Fix summary and desc

* Fri Oct 26 2012 shlomif <shlomif> 0.330.0-1.mga3
+ Revision: 310233
- imported package perl-Benchmark-Perl-Formance


* Fri Oct 26 2012 cpan2dist 0.33-1mga
- initial mageia release, generated with cpan2dist
